Package groovy.json.internal

# Enum FastStringUtils.StringImplementation

java.lang.Object
java.lang.Enum<FastStringUtils.StringImplementation>
groovy.json.internal.FastStringUtils.StringImplementation

All Implemented Interfaces:
  `Serializable`, `Comparable<FastStringUtils.StringImplementation>`, `Constable`

Enclosing class:
  `FastStringUtils`

protected static enum FastStringUtils.StringImplementation extends Enum<FastStringUtils.StringImplementation>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DIRECT_CHARS`
JDK 7 drops offset and count so there is special handling for later version of JDK 7.
`OFFSET`
JDK 4 and JDK 5 have offset and count fields.
`UNKNOWN`

## Method Summary

Modifier and Type
Method
Description
`abstract String`
`noCopyStringFromChars(char[] chars)`
`abstract char[]`
`toCharArray(String string)`
`static FastStringUtils.StringImplementation`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static FastStringUtils.StringImplementation[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DIRECT_CHARS

public static final FastStringUtils.StringImplementation DIRECT_CHARS
JDK 7 drops offset and count so there is special handling for later version of JDK 7.

### OFFSET

public static final FastStringUtils.StringImplementation OFFSET
JDK 4 and JDK 5 have offset and count fields.

### UNKNOWN

public static final FastStringUtils.StringImplementation UNKNOWN

## Method Details

### values

public static FastStringUtils.StringImplementation[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static FastStringUtils.StringImplementation valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### toCharArray

public abstract char[] toCharArray(String string)

### noCopyStringFromChars

public abstract String noCopyStringFromChars(char[] chars)